For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList group quote intents
      • POSTCreate a group quote intent
      • GETRetrieve a group quote intent
      • GETList requirements for a group quote intent
      • GETRetrieve the quote for a group quote intent
      • POSTReject a group quote intent
    • API Errors
Get access
LogoLogo
API ReferenceGroup Quote Intents

List requirements for a group quote intent

GET
/group_quote_intents/:groupQuoteIntentId/requirements
GET
/group_quote_intents/:groupQuoteIntentId/requirements
$curl https://test.api.kota.io/group_quote_intents/gqi_3b1333d87d9d4fd6ad83ba7f6b0e951a/requirements \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "ar_7f9c2d4e5b6a4c3d8e9f0a1b2c3d4e5f",
5 "object_type": "employee",
6 "object_id": "emp_92a7f3b1c4d5e6f7a8b9c0d1e2f3a4b5",
7 "is_fulfilled": true,
8 "requirement_type": "identity_verification",
9 "object": "employee"
10 }
11 ],
12 "page": 1,
13 "page_size": 10,
14 "total_count": 25,
15 "has_next_page": true,
16 "has_previous_page": false
17}

Returns a paginated list of adaptive requirements for a group_quote_intent. Requirements must be fulfilled before a quote can be generated.

Previous

Retrieve a group quote intent

Next

Retrieve the quote for a group quote intent

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

groupQuoteIntentIdstringRequiredformat: "gqi_.+"

Query parameters

object_typeobjectOptional

Filter by object type (employee or employer)

object_idstringOptional

Filter by object ID (employee ID or employer ID)

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

404
Not Found Error